<template>
  <div class="center-container">
    <button @click="loginWithGoogle" class="login-button">Login with Google</button>
  </div>
</template>

<script>
import { mapActions } from 'vuex';

export default {
  name: 'LoginPage',
  methods: {
    ...mapActions('auth', ['loginWithGoogle']),
  },
};
</script>

<style lang="css" scoped>
.center-container {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh; /* Додаємо висоту для центрування на всю висоту екрану */
}

.login-button {
    
  color: #ffffff;
  border: none;
  padding: 10px 20px;
  font-size: 16px;
  cursor: pointer;
  border-radius: 5px;
  background-color: #3498db;
}

.login-button:hover {
  background-color: #2093e0;
}
</style>
